#############################################################################
# mined text editor makefile	- Unix with curses (not recommended)


#############################################################################
# Where and how to install
# installation root, usually empty
root	= $(INSTALLROOT)

# directories for target "make install"
prefix	= $(root)/usr
bindir	= $(prefix)/bin
hlpdir	= $(prefix)/share/mined
mandir	= $(prefix)/share/man

# directories for target "make localinstall"
lprefix	= $(root)/usr/local
lbindir	= $(lprefix)/bin
lhlpdir	= $(lprefix)/share/mined
lmandir	= $(lprefix)/man

INSTALL = install
#INSTALL = /bin/cp -p


#############################################################################
# compilation target options


# terminal handling mode 1: termio
#SCREEN	= -DTERMIO
# link termcap functions:
#SLIB	= -ltermcap	# usual termcap library
#SLIB	= -L/usr/lib/termcap -ltermcap	# if deprecated (Linux)
#SLIB	= -lcurses	# may work on System V Unix too (Solaris)
#SLIB	= -lncurses	# includes termcap library (Linux)


# terminal handling mode 2: sgtty (old, BSD)
#SCREEN	= -DSGTTY
#SLIB	= -ltermcap


# terminal handling mode 3: curses
# Choose curses only if other options don't work.
# The VMS version uses curses but doesn't use this makefile anyway.
# UTF-8 support is only available from ncursesw 5.4 but still buggy.

# with legacy curses:
#SCREEN	= -DCURSES
#SLIB	= -lcurses -ltermcap	# on some systems, both were needed

# with old ncurses:
SCREEN	= -DCURSES
SLIB	= -lncurses

# with ncurses (>= 5.4) and UTF-8 support:
# (This is also available as a separate make target "minced" 
# for each makefile version.)
#SCREEN	= -DCURSES -DSETLOCALE
#SLIB	= -lncursesw

# with self-installed ncurses (/opt or $HOME):
#CURSES	= /opt/ncurses
#ICURSES	= -I$(CURSES)/include -I${HOME}/include
#SLIB	= -L$(CURSES)/lib -L${HOME}/lib -lncurses

# with pdcurses (/opt or $HOME):
#CURSES	= /opt/PDCurses-2.4
#ICURSES	= -I$(CURSES) -I${HOME}/include
#SLIB	= -L$(CURSES) -L${HOME}/lib -lpdcurses


# select operating system flavour (define sysV if on System V flavour)
SYSTEM	= -Dunix -DsysV
#SYSTEM	= -Dunix -DsysV -DFDSET
#SYSTEM	= -Dunix

# select operating system environment
DEFS	= -Dunix


# collection of system parameters for compilation
SYSFLAGS	= $(SCREEN) $(SYSTEM) $(DEFS)


#############################################################################
# link options

# link dynamically
LDOPTS=-d y	# -d n links statically
GLDOPTS=	# -static links statically


#############################################################################
# compiler selection and compiler-specific options
# (source warnings, optimisation and debug)

CC=gcc
include mkinclud.$(CC)


#############################################################################
# make actions

SCREENOBJ=iocurses.o keycurs.o
MOUSELIB=
KEYMAPSDEP=keymaps/_keymaps.h
include mkinclud.mak


#############################################################################
# end
